<template>
    <div>
        <el-dialog :title="title" :visible.sync="open" width="1200px" append-to-body>
            <el-form :model="queryParams" ref="queryForm" size="small" :inline="true" label-width="68px">
                <el-form-item label="编码" prop="pacCode">
                    <el-input v-model="queryParams.pacCode" placeholder="请输入编码" clearable
                        @keyup.enter.native="handleQuery" style="width: 120px;" />
                </el-form-item>
                <el-form-item label="名称" prop="pacName">
                    <el-input v-model="queryParams.pacName" placeholder="请输入名称" clearable
                        @keyup.enter.native="handleQuery" style="width: 130px;" />
                </el-form-item>
                <el-form-item label="内容" prop="pacRemark">
                    <el-input v-model="queryParams.pacRemark" placeholder="请输入内容" clearable
                        @keyup.enter.native="handleQuery" style="width: 130px;" />
                </el-form-item>
                <el-form-item>
                    <el-button type="primary" icon="el-icon-search" size="mini" @click="handleQuery">搜索</el-button>
                </el-form-item>
            </el-form>
            <el-table :data="dataList" ref="elTable" v-loading="loading" @selection-change="handleSelectionChange" border
                height="320px">
                <el-table-column type="selection" width="40" align="center" />
                <el-table-column label="用户ID"  prop="xh" align="id" />
                <el-table-column label="用户工号" align="center" prop="userName" />
                <el-table-column label="姓名" align="center" prop="staffName" width="100px" />
                <el-table-column label="性别" align="center" prop="sex" width="100px" >
                     <template slot-scope="scope" >
                        <dict-tag :options="dict.type.sys_user_sex" :value="scope.row.sex" />
                      </template>
                </el-table-column>
                <el-table-column label="身份证号" align="center" prop="cardNo" />
                <el-table-column label="手机号码" align="center" prop="phonenumber" />
                <el-table-column label="医保编码" align="center" prop="medicalId" />
                <el-table-column label="专家资格证号" align="center" prop="phaCertifiedNo" />
                <el-table-column label="处方职称" align="center" prop="cftitle" />
                <el-table-column label="部门ID" align="center" prop="deptId" />
                <el-table-column label="对应科室名称" align="center" prop="deptName" />
                <el-table-column label="签名图片" align="center" prop="qmtpbm" >
                    <template slot-scope="scope">
                        <image-preview :src="scope.row.qmtpbm" :width="50" :height="50" />
                    </template>
                </el-table-column>
                <el-table-column label="人员类别" align="center" prop="kindCode" />
                <el-table-column label="数据状态" align="center" prop="effective" />
            </el-table>
            <span slot="footer" class="dialog-footer">
                <el-button @click="open = false">取 消</el-button>
                <el-button type="primary" @click="handleOk">确 定</el-button>
            </span>
        </el-dialog>

    </div>
</template>
  
<script>
import {list} from "@/api/system/user";
export default {
    name: 'Packages',
    // props: {
    //     row: {
    //         type: Object,
    //     }

    // },
    dicts: [
    "sys_user_sex", 
  ],
    data() {
        return {
            open: false,
            openone:false,
            // 弹出层标题
            title: "",
            dataList: [],
            // 遮罩层
            loading: false,
            form: {
                desc: ""
            },
            queryParams: {
                pacCode: "",
                pacName: "",
                pacRemark: "",
            },
            list: [],
            fList: {}
        };
    },
    watch: {
        // 'row'(val, newVla) {
        //     console.log(val,newVla)
        //     this.fList = val
        //     console.log(this.fList);

        // }

    },
    mounted() {
        // this.getList()
    },

    created() {
        // this.getList()
    },
    methods: {
        getAllList(){
            this.openone = true
            newGetTjPat(this.queryParams).then(res => {
                this.dataList = res.data
            })
        },
        getList() {
            this.openone = false
            list(this.queryParams).then(res => {
                this.dataList = res.rows
            })
        },
        handleQuery() {
            if(this.openone == false){
                this.getList()
            }else  if(this.openone == true){
                this.getAllList()
            }
        },
        handleSelectionChange(selection) {
            if (selection.length > 1) {
                this.$refs.elTable.clearSelection(); // 清空所有选择
                this.$refs.elTable.toggleRowSelection(selection.pop()); // 设置选择项
            }
            this.list = selection;
            console.log(this.list)

        },
        handleOk() {
            this.open = false
            if (this.list.length == 1) {
                this.$emit('add',this.list);
            }
        }
    }
}
</script>
  
<style scoped></style>
  